;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;; Iris flower data set by Sir Ronald Fisher (1936)
;;; http://archive.ics.uci.edu/ml/datasets/Iris
;;; Attribute Information:
;;;    1. sepal length in cm
;;;    2. sepal width in cm
;;;    3. petal length in cm
;;;    4. petal width in cm
;;;    5. class (Iris Setosa, Iris Versicolour, Iris Virginica)
;;; converted to CL list by Frank Zalkow, 2013

(in-package :mlep)

(defparameter *iris*
  '((5.1 3.5 1.4 0.2 IRIS-SETOSA) 
    (4.9 3.0 1.4 0.2 IRIS-SETOSA) 
    (4.7 3.2 1.3 0.2 IRIS-SETOSA) 
    (4.6 3.1 1.5 0.2 IRIS-SETOSA) 
    (5.0 3.6 1.4 0.2 IRIS-SETOSA) 
    (5.4 3.9 1.7 0.4 IRIS-SETOSA) 
    (4.6 3.4 1.4 0.3 IRIS-SETOSA) 
    (5.0 3.4 1.5 0.2 IRIS-SETOSA) 
    (4.4 2.9 1.4 0.2 IRIS-SETOSA) 
    (4.9 3.1 1.5 0.1 IRIS-SETOSA) 
    (5.4 3.7 1.5 0.2 IRIS-SETOSA) 
    (4.8 3.4 1.6 0.2 IRIS-SETOSA) 
    (4.8 3.0 1.4 0.1 IRIS-SETOSA) 
    (4.3 3.0 1.1 0.1 IRIS-SETOSA) 
    (5.8 4.0 1.2 0.2 IRIS-SETOSA) 
    (5.7 4.4 1.5 0.4 IRIS-SETOSA) 
    (5.4 3.9 1.3 0.4 IRIS-SETOSA) 
    (5.1 3.5 1.4 0.3 IRIS-SETOSA) 
    (5.7 3.8 1.7 0.3 IRIS-SETOSA) 
    (5.1 3.8 1.5 0.3 IRIS-SETOSA) 
    (5.4 3.4 1.7 0.2 IRIS-SETOSA) 
    (5.1 3.7 1.5 0.4 IRIS-SETOSA) 
    (4.6 3.6 1.0 0.2 IRIS-SETOSA) 
    (5.1 3.3 1.7 0.5 IRIS-SETOSA) 
    (4.8 3.4 1.9 0.2 IRIS-SETOSA) 
    (5.0 3.0 1.6 0.2 IRIS-SETOSA) 
    (5.0 3.4 1.6 0.4 IRIS-SETOSA) 
    (5.2 3.5 1.5 0.2 IRIS-SETOSA) 
    (5.2 3.4 1.4 0.2 IRIS-SETOSA) 
    (4.7 3.2 1.6 0.2 IRIS-SETOSA) 
    (4.8 3.1 1.6 0.2 IRIS-SETOSA) 
    (5.4 3.4 1.5 0.4 IRIS-SETOSA) 
    (5.2 4.1 1.5 0.1 IRIS-SETOSA) 
    (5.5 4.2 1.4 0.2 IRIS-SETOSA) 
    (4.9 3.1 1.5 0.2 IRIS-SETOSA) 
    (5.0 3.2 1.2 0.2 IRIS-SETOSA) 
    (5.5 3.5 1.3 0.2 IRIS-SETOSA) 
    (4.9 3.6 1.4 0.1 IRIS-SETOSA) 
    (4.4 3.0 1.3 0.2 IRIS-SETOSA) 
    (5.1 3.4 1.5 0.2 IRIS-SETOSA) 
    (5.0 3.5 1.3 0.3 IRIS-SETOSA) 
    (4.5 2.3 1.3 0.3 IRIS-SETOSA) 
    (4.4 3.2 1.3 0.2 IRIS-SETOSA) 
    (5.0 3.5 1.6 0.6 IRIS-SETOSA) 
    (5.1 3.8 1.9 0.4 IRIS-SETOSA) 
    (4.8 3.0 1.4 0.3 IRIS-SETOSA) 
    (5.1 3.8 1.6 0.2 IRIS-SETOSA) 
    (4.6 3.2 1.4 0.2 IRIS-SETOSA) 
    (5.3 3.7 1.5 0.2 IRIS-SETOSA) 
    (5.0 3.3 1.4 0.2 IRIS-SETOSA) 
    (7.0 3.2 4.7 1.4 IRIS-VERSICOLOR) 
    (6.4 3.2 4.5 1.5 IRIS-VERSICOLOR) 
    (6.9 3.1 4.9 1.5 IRIS-VERSICOLOR) 
    (5.5 2.3 4.0 1.3 IRIS-VERSICOLOR) 
    (6.5 2.8 4.6 1.5 IRIS-VERSICOLOR) 
    (5.7 2.8 4.5 1.3 IRIS-VERSICOLOR) 
    (6.3 3.3 4.7 1.6 IRIS-VERSICOLOR) 
    (4.9 2.4 3.3 1.0 IRIS-VERSICOLOR) 
    (6.6 2.9 4.6 1.3 IRIS-VERSICOLOR) 
    (5.2 2.7 3.9 1.4 IRIS-VERSICOLOR) 
    (5.0 2.0 3.5 1.0 IRIS-VERSICOLOR) 
    (5.9 3.0 4.2 1.5 IRIS-VERSICOLOR) 
    (6.0 2.2 4.0 1.0 IRIS-VERSICOLOR) 
    (6.1 2.9 4.7 1.4 IRIS-VERSICOLOR) 
    (5.6 2.9 3.6 1.3 IRIS-VERSICOLOR) 
    (6.7 3.1 4.4 1.4 IRIS-VERSICOLOR) 
    (5.6 3.0 4.5 1.5 IRIS-VERSICOLOR) 
    (5.8 2.7 4.1 1.0 IRIS-VERSICOLOR) 
    (6.2 2.2 4.5 1.5 IRIS-VERSICOLOR) 
    (5.6 2.5 3.9 1.1 IRIS-VERSICOLOR) 
    (5.9 3.2 4.8 1.8 IRIS-VERSICOLOR) 
    (6.1 2.8 4.0 1.3 IRIS-VERSICOLOR) 
    (6.3 2.5 4.9 1.5 IRIS-VERSICOLOR) 
    (6.1 2.8 4.7 1.2 IRIS-VERSICOLOR) 
    (6.4 2.9 4.3 1.3 IRIS-VERSICOLOR) 
    (6.6 3.0 4.4 1.4 IRIS-VERSICOLOR) 
    (6.8 2.8 4.8 1.4 IRIS-VERSICOLOR) 
    (6.7 3.0 5.0 1.7 IRIS-VERSICOLOR) 
    (6.0 2.9 4.5 1.5 IRIS-VERSICOLOR) 
    (5.7 2.6 3.5 1.0 IRIS-VERSICOLOR) 
    (5.5 2.4 3.8 1.1 IRIS-VERSICOLOR) 
    (5.5 2.4 3.7 1.0 IRIS-VERSICOLOR) 
    (5.8 2.7 3.9 1.2 IRIS-VERSICOLOR) 
    (6.0 2.7 5.1 1.6 IRIS-VERSICOLOR) 
    (5.4 3.0 4.5 1.5 IRIS-VERSICOLOR) 
    (6.0 3.4 4.5 1.6 IRIS-VERSICOLOR) 
    (6.7 3.1 4.7 1.5 IRIS-VERSICOLOR) 
    (6.3 2.3 4.4 1.3 IRIS-VERSICOLOR) 
    (5.6 3.0 4.1 1.3 IRIS-VERSICOLOR) 
    (5.5 2.5 4.0 1.3 IRIS-VERSICOLOR) 
    (5.5 2.6 4.4 1.2 IRIS-VERSICOLOR) 
    (6.1 3.0 4.6 1.4 IRIS-VERSICOLOR) 
    (5.8 2.6 4.0 1.2 IRIS-VERSICOLOR) 
    (5.0 2.3 3.3 1.0 IRIS-VERSICOLOR) 
    (5.6 2.7 4.2 1.3 IRIS-VERSICOLOR) 
    (5.7 3.0 4.2 1.2 IRIS-VERSICOLOR) 
    (5.7 2.9 4.2 1.3 IRIS-VERSICOLOR) 
    (6.2 2.9 4.3 1.3 IRIS-VERSICOLOR) 
    (5.1 2.5 3.0 1.1 IRIS-VERSICOLOR) 
    (5.7 2.8 4.1 1.3 IRIS-VERSICOLOR) 
    (6.3 3.3 6.0 2.5 IRIS-VIRGINICA) 
    (5.8 2.7 5.1 1.9 IRIS-VIRGINICA) 
    (7.1 3.0 5.9 2.1 IRIS-VIRGINICA) 
    (6.3 2.9 5.6 1.8 IRIS-VIRGINICA) 
    (6.5 3.0 5.8 2.2 IRIS-VIRGINICA) 
    (7.6 3.0 6.6 2.1 IRIS-VIRGINICA) 
    (4.9 2.5 4.5 1.7 IRIS-VIRGINICA) 
    (7.3 2.9 6.3 1.8 IRIS-VIRGINICA) 
    (6.7 2.5 5.8 1.8 IRIS-VIRGINICA) 
    (7.2 3.6 6.1 2.5 IRIS-VIRGINICA) 
    (6.5 3.2 5.1 2.0 IRIS-VIRGINICA) 
    (6.4 2.7 5.3 1.9 IRIS-VIRGINICA) 
    (6.8 3.0 5.5 2.1 IRIS-VIRGINICA) 
    (5.7 2.5 5.0 2.0 IRIS-VIRGINICA) 
    (5.8 2.8 5.1 2.4 IRIS-VIRGINICA) 
    (6.4 3.2 5.3 2.3 IRIS-VIRGINICA) 
    (6.5 3.0 5.5 1.8 IRIS-VIRGINICA) 
    (7.7 3.8 6.7 2.2 IRIS-VIRGINICA) 
    (7.7 2.6 6.9 2.3 IRIS-VIRGINICA) 
    (6.0 2.2 5.0 1.5 IRIS-VIRGINICA) 
    (6.9 3.2 5.7 2.3 IRIS-VIRGINICA) 
    (5.6 2.8 4.9 2.0 IRIS-VIRGINICA) 
    (7.7 2.8 6.7 2.0 IRIS-VIRGINICA) 
    (6.3 2.7 4.9 1.8 IRIS-VIRGINICA) 
    (6.7 3.3 5.7 2.1 IRIS-VIRGINICA) 
    (7.2 3.2 6.0 1.8 IRIS-VIRGINICA) 
    (6.2 2.8 4.8 1.8 IRIS-VIRGINICA) 
    (6.1 3.0 4.9 1.8 IRIS-VIRGINICA) 
    (6.4 2.8 5.6 2.1 IRIS-VIRGINICA) 
    (7.2 3.0 5.8 1.6 IRIS-VIRGINICA) 
    (7.4 2.8 6.1 1.9 IRIS-VIRGINICA) 
    (7.9 3.8 6.4 2.0 IRIS-VIRGINICA) 
    (6.4 2.8 5.6 2.2 IRIS-VIRGINICA) 
    (6.3 2.8 5.1 1.5 IRIS-VIRGINICA) 
    (6.1 2.6 5.6 1.4 IRIS-VIRGINICA) 
    (7.7 3.0 6.1 2.3 IRIS-VIRGINICA) 
    (6.3 3.4 5.6 2.4 IRIS-VIRGINICA) 
    (6.4 3.1 5.5 1.8 IRIS-VIRGINICA) 
    (6.0 3.0 4.8 1.8 IRIS-VIRGINICA) 
    (6.9 3.1 5.4 2.1 IRIS-VIRGINICA) 
    (6.7 3.1 5.6 2.4 IRIS-VIRGINICA) 
    (6.9 3.1 5.1 2.3 IRIS-VIRGINICA) 
    (5.8 2.7 5.1 1.9 IRIS-VIRGINICA) 
    (6.8 3.2 5.9 2.3 IRIS-VIRGINICA) 
    (6.7 3.3 5.7 2.5 IRIS-VIRGINICA) 
    (6.7 3.0 5.2 2.3 IRIS-VIRGINICA) 
    (6.3 2.5 5.0 1.9 IRIS-VIRGINICA) 
    (6.5 3.0 5.2 2.0 IRIS-VIRGINICA) 
    (6.2 3.4 5.4 2.3 IRIS-VIRGINICA) 
    (5.9 3.0 5.1 1.8 IRIS-VIRGINICA))
    "Iris flower data set by Sir Ronald Fisher (1936)

@a[http://archive.ics.uci.edu/ml/datasets/Iris]{http://archive.ics.uci.edu/ml/datasets/Iris}

Attribute Information:

@itemize{
   @item{1. sepal length in cm}
   @item{2. sepal width in cm}
   @item{3. petal length in cm}
   @item{4. petal width in cm}
   @item{5. class (Iris Setosa, Iris Versicolour, Iris Virginica)}}")